"""Registrar views."""

from django.contrib.auth.mixins import LoginRequiredMixin, PermissionRequiredMixin
from django.views.generic import TemplateView

from .mixins import RegistryPluginMixin


class RegistrarDetailView(LoginRequiredMixin, PermissionRequiredMixin, RegistryPluginMixin, TemplateView):
    """Registrar detail view."""

    permission_required = 'ferda.can_view_registry'
    template_name = 'ferda/registry/registrar_detail.html'
